Home > subversion > ติดตั้ง Subversion 1.4.3 บน Linux (Ubuntu 6.10 Edgy)

ติดตั้ง Subversion 1.4.3 บน Linux (Ubuntu 6.10 Edgy)

พอดีต้องติดตั้ง Subversion 1.4.3 บน Ubuntu 6.10 Edgy เพราะว่า Subversion ที่มีใน Repositories นั้นเป็นรุ่น 1.3 ทำให้ไม่สามารถใช้งานกับ Subversion Server 1.4 ได้เลยต้องหา package ที่เป็นของ debian มาแทน แล้วก็ไปเจอที่นี่ครับ http://www.shiftingheat.com/packages/subversion/ แต่มันมีรุ่นที่ Update กว่านั้นคือ 1.4.3 สุดท้ายก็ต้อง ติดตั้งจาก source ครับ ก่อนอื่นก็ download  source จากเว็บไซต์ http://svn.tigris.org ก่อนหลังจากนั้นก็ทำตามขั้นตอนข้างล่างเลยครับ

(กรณีที่ท่านติดตั้งอยู่ก่อนแล้วต้องลบอันเก่าออกก่อน)

sudo apt-get remove libsvn0
sudo apt-get remove subversion
หลังจากนั้นก็ทำการติดตั้งตามนี้เลยครับ

sudo apt-get install libneon25 libneon25-dev
sudo apt-get install libapr1.0-dev
sudo apt-get install libaprutil1.0-dev
sudo apt-get install libdb4.2-dev
sudo apt-get install libdb4.2
sudo apt-get install libsqlite3-0
sudo apt-get install libsqlite3-dev
sudo apt-get install libldap-dev
sudo apt-get install libpq-dev
wget http://subversion.tigris.org/downloads/subversion-1.4.3.tar.gz
tar zvxf subversion-1.4.3.tar.gz
cd subversion-1.4.3

./configure –with-ssl
make
sudo make install

เรียบร้อยแล้วครับ

ที่มา
http://www.ubuntuforums.org/showthread.php?p=1498857
http://higepon.blogspot.com/2006/12/install-subversion-142-to-ubuntu-edgy.html

Advertisements
Categories: subversion
  1. No comments yet.
  1. No trackbacks yet.

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

%d bloggers like this: